<template>
  <div id="app">
    <component :is="layout">
        <transition name="fade" mode="out-in">
          <router-view></router-view>
        </transition>
    </component>
  </div>
</template>

<script>
  const default_layout = "default";
  export default {
    computed: {
      layout() {
        let vm = this;
        return (vm.$route.meta.layout || default_layout) + '-layout';
      }
    }
  }
</script>